### Type parameters

- #### EventTypes: string | symbol | object

### Hierarchy

- UploaderAbstract
  - S3Uploader

## Index

### Constructors

- constructor

### Properties

- prefixed

### Methods

- abort
- addFile
- addListener
- emit
- eventNames
- execute
- getIntelligentChunkSize
- getPartSize
- getUrl
- listenerCount
- listeners
- off
- on
- once
- pause
- removeAllListeners
- removeListener
- resume
- setApikey
- setIntelligentChunkSize
- setPartSize
- setRetryConfig
- setSecurity
- setTimeout
- setUploadMode
- setUrl

## Constructors

### constructor

- new S3Uploader(storeOptions: StoreUploadOptions, concurrency?: any): S3Uploader

- Overrides UploaderAbstract.constructor

  - Defined in lib/api/upload/uploaders/s3.ts:54

  #### Parameters

  - ##### storeOptions: StoreUploadOptions

  - ##### Optional concurrency: any

  #### Returns S3Uploader

## Properties

### Static prefixed

prefixed: string | boolean

Inherited from EventEmitter.prefixed

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:9

## Methods

### abort

- abort(msg?: string): void

- Overrides UploaderAbstract.abort

  - Defined in lib/api/upload/uploaders/s3.ts:95

  Aborts queue (all pending requests with will be aborted)

  memberof

    S3Uploader

  #### Parameters

  - ##### Optional msg: string

  #### Returns void

### addFile

- addFile(file: File): string

- Overrides UploaderAbstract.addFile

  - Defined in lib/api/upload/uploaders/s3.ts:153

  Add file to upload queue

  memberof

    S3Uploader

  #### Parameters

  - ##### file: File

  #### Returns string

### addListener

- addListener<T>(event: T, fn: ListenerFn<EventArgs<EventTypes, T>>, context?: any): this

- Inherited from EventEmitter.addListener

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:36

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  #### Returns this

### emit

- emit<T>(event: T, ...args: EventArgs<EventTypes, T>): boolean

- Inherited from EventEmitter.emit

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:30

  Calls each of the listeners registered for a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### Rest ...args: EventArgs<EventTypes, T>

  #### Returns boolean

### eventNames

- eventNames(): Array<EventNames<EventTypes>>

- Inherited from EventEmitter.eventNames

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:15

  Return an array listing the events for which the emitter has registered listeners.

  #### Returns Array<EventNames<EventTypes>>

### execute

- execute(): Promise<any>

- Overrides UploaderAbstract.execute

  - Defined in lib/api/upload/uploaders/s3.ts:106

  Execute all queued files

  memberof

    S3Uploader

  #### Returns Promise<any>

### getIntelligentChunkSize

- getIntelligentChunkSize(): number

- Inherited from UploaderAbstract.getIntelligentChunkSize

  - Defined in lib/api/upload/uploaders/abstract.ts:168

  Returns intelligent chunk size

  #### Returns number

### getPartSize

- getPartSize(): number

- Inherited from UploaderAbstract.getPartSize

  - Defined in lib/api/upload/uploaders/abstract.ts:147

  Returns current part size

  #### Returns number

### Private getUrl

- getUrl(): string

- Inherited from UploaderAbstract.getUrl

  - Defined in lib/api/upload/uploaders/abstract.ts:179

  Returns filestack upload url

  memberof

    MultipartUploader

  #### Returns string

### listenerCount

- listenerCount(event: EventNames<EventTypes>): number

- Inherited from EventEmitter.listenerCount

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:25

  Return the number of listeners listening to a given event.

  #### Parameters

  - ##### event: EventNames<EventTypes>

  #### Returns number

### listeners

- listeners<T>(event: T): Array<ListenerFn<EventArgs<EventTypes, T>>>

- Inherited from EventEmitter.listeners

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:20

  Return the listeners registered for a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  #### Returns Array<ListenerFn<EventArgs<EventTypes, T>>>

### off

- off<T>(event: T, fn?: ListenerFn<EventArgs<EventTypes, T>>, context?: any, once?: boolean): this

- Inherited from EventEmitter.off

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:47

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### Optional fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns this

### on

- on<T>(event: T, fn: ListenerFn<EventArgs<EventTypes, T>>, context?: any): this

- Inherited from EventEmitter.on

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:35

  Add a listener for a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  #### Returns this

### once

- once<T>(event: T, fn: ListenerFn<EventArgs<EventTypes, T>>, context?: any): this

- Inherited from EventEmitter.once

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:41

  Add a one-time listener for a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  #### Returns this

### pause

- pause(): void

- Overrides UploaderAbstract.pause

  - Defined in lib/api/upload/uploaders/s3.ts:74

  Pause upload queue

  memberof

    S3Uploader

  #### Returns void

### removeAllListeners

- removeAllListeners(event?: EventNames<EventTypes>): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:52

  Remove all listeners, or those of the specified event.

  #### Parameters

  - ##### Optional event: EventNames<EventTypes>

  #### Returns this

### removeListener

- removeListener<T>(event: T, fn?: ListenerFn<EventArgs<EventTypes, T>>, context?: any, once?: boolean): this

- Inherited from EventEmitter.removeListener

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:46

  Remove the listeners of a given event.

  #### Type parameters

  - #### T: EventNames<EventTypes>

  #### Parameters

  - ##### event: T

  - ##### Optional fn: ListenerFn<EventArgs<EventTypes, T>>

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns this

### resume

- resume(): void

- Overrides UploaderAbstract.resume

  - Defined in lib/api/upload/uploaders/s3.ts:83

  resume upload queue if its paused

  memberof

    S3Uploader

  #### Returns void

### setApikey

- setApikey(apikey: string): void

- Inherited from UploaderAbstract.setApikey

  - Defined in lib/api/upload/uploaders/abstract.ts:80

  #### Parameters

  - ##### apikey: string

  #### Returns void

### setIntelligentChunkSize

- setIntelligentChunkSize(size: number): void

- Inherited from UploaderAbstract.setIntelligentChunkSize

  - Defined in lib/api/upload/uploaders/abstract.ts:157

  Set start part size for ii

  memberof

    S3Uploader

  #### Parameters

  - ##### size: number

  #### Returns void

### setPartSize

- setPartSize(size: number): void

- Inherited from UploaderAbstract.setPartSize

  - Defined in lib/api/upload/uploaders/abstract.ts:129

  Set upload part size if part size is smaller than minimum 5mb it will throw error

  memberof

    S3Uploader

  #### Parameters

  - ##### size: number

  #### Returns void

### setRetryConfig

- setRetryConfig(cfg: RetryConfig): void

- Inherited from UploaderAbstract.setRetryConfig

  - Defined in lib/api/upload/uploaders/abstract.ts:90

  #### Parameters

  - ##### cfg: RetryConfig

  #### Returns void

### setSecurity

- setSecurity(security: Security): void

- Inherited from UploaderAbstract.setSecurity

  - Defined in lib/api/upload/uploaders/abstract.ts:75

  #### Parameters

  - ##### security: Security

  #### Returns void

### setTimeout

- setTimeout(timeout: number): void

- Inherited from UploaderAbstract.setTimeout

  - Defined in lib/api/upload/uploaders/abstract.ts:85

  #### Parameters

  - ##### timeout: number

  #### Returns void

### setUploadMode

- setUploadMode(mode: UploadMode, lock?: boolean): void

- Inherited from UploaderAbstract.setUploadMode

  - Defined in lib/api/upload/uploaders/abstract.ts:106

  Sets upload mode

  memberof

    MultipartUploader

  #### Parameters

  - ##### mode: UploadMode

  - ##### Default value lock: boolean = false

  #### Returns void

### setUrl

- setUrl(url: string): void

- Inherited from UploaderAbstract.setUrl

  - Defined in lib/api/upload/uploaders/abstract.ts:94

  #### Parameters

  - ##### url: string

  #### Returns void